LibreOffice LibreOffice 7.2 SDK API Reference

Variables
com::sun::star::awt::ImageScaleMode Constant Group Reference

defines modes how an image displayed in a given area should be scaled to fit this area More...

## Variables
const short | NONE = 0
| specifies that no scaling should happen at all More...
const short | ISOTROPIC = 1
| specifies that the image should be scaled up or down to the size of the surrounding area isotropically, i.e. More...
const short | ANISOTROPIC = 2
| specifies that the image should be scaled up or down to the size of the surrounding area anisotropically. More...

## Detailed Description

defines modes how an image displayed in a given area should be scaled to fit this area

## Variable Documentation

## ◆ ANISOTROPIC

const short ANISOTROPIC = 2

specifies that the image should be scaled up or down to the size of the surrounding area anisotropically.

The image will finally cover all of the surrounding area, but its dimensions might be distorted.

## ◆ ISOTROPIC

const short ISOTROPIC = 1

specifies that the image should be scaled up or down to the size of the surrounding area isotropically, i.e.

by keeping its aspect ratio.

## ◆ NONE

const short NONE = 0

specifies that no scaling should happen at all